<!DOCTYPE html>
<html>
<head>

<meta charset="utf-8">
<meta name="robots" content="noindex,nofollow">
<meta name="viewport" content="width=device-width,initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">

<title>Lamasticount</title>

<link rel="stylesheet" href="css/bootstrap.min.css">
<link rel="stylesheet" href="css/login.css">
<link rel="stylesheet" href="css/signup.css">


</head>

<body>

	<script
		src="js/angular.min.js"></script>
	<div class="container" ng-app="myLoginApp" ng-controller="myLoginCtrl">
		<div
			class="row col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2 col-lg-6 col-lg-offset-3 content-box">

			<!-- 			LOGIN BOX -->
			<div ng-show="mode=='login'" class="row container-fluid login-box">

				<h1 class="text-center">Lamasticount</h1>
				<hr />
				<h1 class="text-center login-title">Connexion</h1>

				<form name="formLogin" class="form-login" method="post" action="signin">
					<input type="hidden" id="mode" value="login"> <label
						class="sr-only" for="email">Email</label>

					<div class="input-group">
						<span class="input-group-addon glyph-user"><i
							class="glyphicon glyphicon-user"></i></span> <input type="email"
							class="form-control email-login" id="email" name="email"
							ng-model="email" placeholder="Adresse e-mail" required>
					</div>


					<label class="sr-only" for="password">Mot de passe</label>

					<div class="input-group">
						<span class="input-group-addon glyph-lock"><i
							class="glyphicon glyphicon-lock"></i></span> <input type="password"
							class="form-control password-login" id="password" name="password"
							ng-model="password" placeholder="Mot de passe" required>
					</div>

					<hr />

					<button class="btn btn-md btn-primary btn-block" type="submit">Se
						Connecter</button>

					<br />
				</form>


			</div>

			<!-- 			SIGNUP BOX -->
			<div ng-show="mode=='signup'" class="row container-fluid signup-box">

				<h1 class="text-center">Lamasticount {{erreurs}}</h1>
				<hr />
				<h1 class="text-center login-title">Inscription</h1>


				<form name="formSignup" class="form-login" method="post" action="signup">
					<input type="hidden" id="mode" value="signup"> <label
						class="sr-only" for="lastname">Nom</label>

					<div class="input-group">
						<span class="input-group-addon input-group-addon-signup-nom"><b>Nom
								:</b></span> <input type="text" class="form-control nom-signup" id="lastname"
							name="lastname" ng-model="lastname" placeholder="Nom" required>
					</div>
					<div class="alert alert-danger alert-all"
						ng-show="lastname.length < 2 && !formSignup.lastname.$pristine">

						<span class="glyphicon glyphicon-remove"></span> Le nom doit
						contenir au moins 2 caractères.
					</div>
					<label class="sr-only" for="firstname">Prénom</label>

					<div class="input-group">
						<span class="input-group-addon input-group-addon-signup-all"><b>Prénom
								:</b></span> <input type="text" class="form-control prenom-signup"
							id="firstname" name="firstname" ng-model="firstname" placeholder="Prénom"
							required>
					</div>
					<div class="alert alert-danger alert-all"
						ng-show="firstname.length < 2 && !formSignup.firstname.$pristine">

						<span class="glyphicon glyphicon-remove"></span> Le prénom doit
						contenir au moins 2 caractères.
					</div>

					<label class="sr-only" for="email">Email</label>
					<div class="input-group">
						<span class="input-group-addon input-group-addon-signup-all"><b>Email
								:</b></span> <input type="email" class="form-control email-signup"
							id="email" name="email" ng-model="email"
							placeholder="Adresse e-mail" required>
					</div>

					<div class="alert alert-danger alert-all"
						ng-show="formSignup.email.$error.email &&
						!formSignup.email.$pristine">
						<span class="glyphicon glyphicon-remove"></span> Ceci n'est pas
						une adresse mail valide.
					</div>

					<label class="sr-only" for="password">Mot de passe</label>

					<div class="input-group">
						<span class="input-group-addon input-group-addon-signup-password"
							ng-class="{'password-signup-error' : password.length < 5 && !formSignup.password.$pristine}"><b>Mot
								de passe :</b></span> <input type="password"
							class="form-control password-signup" id="password"
							name="password" ng-model="password" placeholder="Mot de passe"
							required
							ng-class="{'password-signup-error' : password.length < 5 && !formSignup.password.$pristine}">
					</div>
					<div class="alert alert-danger alert-password"
						ng-show="password.length < 5 && !formSignup.password.$pristine">

						<span class="glyphicon glyphicon-remove"></span> Le mot de passe
						doit contenir au moins 5 caractères.
					</div>

					<hr />

					<button class="btn btn-md btn-primary btn-block" type="submit"
						ng-disabled="lastname.length < 2 || firstname.length < 2 || formSignup.email.$error.email || password.length < 5">S'inscrire</button>

					<br />
				</form>


			</div>

			<div class="row">
				<div class="btn-group btn-group-justified">
					<a ng-click="mode='login'; reset()" class="btn btn-lg btn-login"
						ng-class="{'btn-default': mode=='login'}"
						ng-disabled="mode=='login'">Connexion </a> <a
						ng-click="mode='signup'; reset()" class="btn btn-lg btn-signup"
						ng-class="{'btn-default': mode=='signup'}"
						ng-disabled="mode=='signup'">Inscription</a>
				</div>
			</div>
		</div>

	</div>
</body>

<script>
	var app = angular.module('myLoginApp', []);
	app.controller('myLoginCtrl', function($scope, $location, $http) {
		$scope.mode = "login";
		$scope.password = "";

		$scope.reset = function() {
			$scope.password = "";
		}
		
		$scope.submitSignUp = function() {
			
		}
		
		$scope.erreurs = $location.search();
	});
</script>

</html>
